Raumdiagonale

In diesem Forum Fragen und Diskussionen in Deutsch
Forum rules
Foren-Regeln und hilfreiche Informationen

WICHTIG: Bitte zuerst lesen, bevor Sie posten
polymer
Posts: 229
Joined: Fri Sep 12, 2014 8:49 am

Re: Raumdiagonale

Postby polymer » Tue Mar 20, 2018 4:41 am

chrisb wrote:
Tue Mar 20, 2018 12:31 am
dave1000 wrote:
Mon Mar 19, 2018 7:59 pm
@chrisb:
ich möchte einen "idealen" Retroreflektor (bzw. später ein größeres Array) für optische Simulationen haben.
Gibt es vielleicht eine Seite im Web, wo man sich das was Du modellieren möchtest mal anschauen kann?
https://de.m.wikipedia.org/wiki/Retroreflektor
Stichwort: Tripelprisma, lieg ich damit richtig?

Na dann passt es ja zum Elmer-Solver, der ist glaube noch nicht soweit implementiert.
chrisb
Posts: 21377
Joined: Tue Mar 17, 2015 9:14 am

Re: Raumdiagonale

Postby chrisb » Tue Mar 20, 2018 7:13 am

polymer wrote:
Tue Mar 20, 2018 4:41 am
https://de.m.wikipedia.org/wiki/Retroreflektor
Stichwort: Tripelprisma, lieg ich damit richtig?
Vielen Dank, jetzt ist auch bei mir der Groschen gefallen.
freecad-heini-1
Posts: 6433
Joined: Tue Jan 07, 2014 11:10 am
Contact:

Re: Raumdiagonale

Postby freecad-heini-1 » Tue Mar 20, 2018 8:13 am

DeepSOIC hat mit der Lattice2 Workbench interessante Möglichkeiten geschaffen Objekte zu orientieren und dabei mathematische Array Funktionen zu nutzen, siehe:
https://github.com/DeepSOIC/Lattice/wik ... powerplant
https://www.freecadweb.org/wiki/Sandbox:Lattice2
polymer
Posts: 229
Joined: Fri Sep 12, 2014 8:49 am

Re: Raumdiagonale

Postby polymer » Tue Mar 20, 2018 9:32 am

Es ist schon richtig alles so genau wie möglich zu machen, mit einer gewissen Toleranz musst du wahrscheinlich auch im CAD-Bereich leben.
Ich denke aber dass dir eine Fehlerrechnung hilft um abzuschätzen wie groß der Fehler vom Ergebnis sein darf damit es noch "richtig" ist.

Wie genau ist FreeCAD bei Winkel und Längen, weiß das jemand?
chrisb
Posts: 21377
Joined: Tue Mar 17, 2015 9:14 am

Re: Raumdiagonale

Postby chrisb » Tue Mar 20, 2018 9:49 am

Falls Du auch noch Linsen verwenden möchtest, ist für Dich vielleicht auch noch die Wiki-Seite Constraint SnellsLaw interessant.
ArminF
Posts: 768
Joined: Fri Dec 23, 2016 12:33 pm
Location: Augsburg, Germany

Re: Raumdiagonale

Postby ArminF » Tue Mar 20, 2018 12:44 pm

Sagt mal, hab' ich was falsch verstanden oder kam nur keiner auf die naheliegendste Idee?

Ich hab' einfach mittels der beiden Eckpunkte, die sich diagonal gegenüberliegen, eine Linie mit Hilfe des Work Features Makros gezogen und fertig war die Laube.

Armin

So sieht's aus
Raumdiagonale.PNG
Raumdiagonale.PNG (165.34 KiB) Viewed 244 times


Und hier das File
Raumdiagonale.FCStd
(3.58 KiB) Downloaded 6 times
Wer einen Rechtschreibfehler findet, kann ihn behalten :lol:
freecad-heini-1
Posts: 6433
Joined: Tue Jan 07, 2014 11:10 am
Contact:

Re: Raumdiagonale

Postby freecad-heini-1 » Tue Mar 20, 2018 2:43 pm

ArminF wrote:
Tue Mar 20, 2018 12:44 pm
Sagt mal, hab' ich was falsch verstanden oder kam nur keiner auf die naheliegendste Idee?
Lese bitte nochmal den ersten Post dieses Freds:
dave1000 wrote:
Sat Mar 17, 2018 4:00 pm
Ich lege durch einen Würfel die Raumdiagonale mit einer DatumLine.
Wie kann ich jetzt aber die DatumLine inklusive Würfel parallel zu, sagen wir mal der Z-Achse, oder anderen Achse, oder aber unter einem definierten Winkel zu einer beliebigen Achse exakt ausrichten.
Die Curves-Workbench kann das auch, aber darum geht es hier nicht.
curves_wb_line.gif
curves_wb_line.gif (76.52 KiB) Viewed 231 times
ArminF
Posts: 768
Joined: Fri Dec 23, 2016 12:33 pm
Location: Augsburg, Germany

Re: Raumdiagonale

Postby ArminF » Tue Mar 20, 2018 3:49 pm

O.K. da war ich wohl ein wenig voreilig. Aber hab's jetzt kapiert.
So einfach scheint dies nicht zu sein. Man müßte so etwas wie 3D Constraints haben, also z.B. festlegen können, daß der Eckpunkt des Würfels und der Endpunkt der Linie zusammenfallen und ein Punkt werden. Keine Ahnung ob so etwas schon irgendwie geht.

Armin
Wer einen Rechtschreibfehler findet, kann ihn behalten :lol:
freecad-heini-1
Posts: 6433
Joined: Tue Jan 07, 2014 11:10 am
Contact:

Re: Raumdiagonale

Postby freecad-heini-1 » Tue Mar 20, 2018 3:59 pm

ArminF wrote:
Tue Mar 20, 2018 3:49 pm
O.K. da war ich wohl ein wenig voreilig. Aber hab's jetzt kapiert.
So einfach scheint dies nicht zu sein. Man müßte so etwas wie 3D Constraints haben, also z.B. festlegen können, daß der Eckpunkt des Würfels und der Endpunkt der Linie zusammenfallen und ein Punkt werden. Keine Ahnung ob so etwas schon irgendwie geht.

Armin
Die Raumdiagonale ist nicht das Problem, siehe das Werkzeug Linie der Curves-WB.
Ändere die Maße des Würfels, die Linie bleibt an den Eckpunkten und ändert sich parametrisch mit.
Die Manipulator Workbench hat im weitesten Sinne 3D-Constraints und Assembly3 auch.
Dennoch ist die Aufgabe nicht ganz trivial.

Hier ein Vergleich zwischen Assembly2 und 3:
https://forum.freecadweb.org/viewtopic. ... 90#p221190
Dort findet mal die benötigten Werkzeuge.
UR_
Posts: 1153
Joined: Tue Jan 03, 2017 8:42 pm

Re: Raumdiagonale

Postby UR_ » Tue Mar 20, 2018 5:06 pm

Wenn's mal wieder länger dauert, ... einfach ein Skript laufen lassen ;)


vorher:
vorher.png
vorher.png (23.77 KiB) Viewed 199 times

nachher:
nachher.png
nachher.png (25.51 KiB) Viewed 199 times

Datei:
AlignBox.FCStd
(7.75 KiB) Downloaded 11 times

Skript:
AlignCube.FCMacro
(368 Bytes) Downloaded 11 times

Code: Select all

import math
import Draft

box  = App.getDocument("AlignBox").getObject("Box")
line = App.getDocument("AlignBox").getObject("Line")

Xaxis= FreeCAD.Vector((1,0,0))

P1 = line.Shape.Vertex1.Point
P2 = line.Shape.Vertex2.Point

angle  = Xaxis.getAngle(P2 - P1) * 180 / math.pi 
normal = Xaxis.cross(P2 - P1)

Draft.rotate(box,-angle,P1,normal,False)

Version:
OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13375 (Git)
Build type: Release
Branch: master
Hash: 2bfea410fce1434fec0f853b032549aa2cd3c47e
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: German/Germany (de_DE)



Merke:
FreeCAD ohne Skripting macht genauso viel Spaß, wie ein Porsche ohne Zündschlüssel :lol: